/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.service.impl;

import com.rjconsultores.ventaboletos.dao.PricingDiaDAO;
import com.rjconsultores.ventaboletos.entidad.Pricing;
import com.rjconsultores.ventaboletos.entidad.PricingDia;
import com.rjconsultores.ventaboletos.service.PricingDiaService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;
import java.util.Calendar;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 *
 * @author Rafius
 */
@Service("pricingDiaService")
public class PricingDiaServiceImpl implements PricingDiaService {

    @Autowired
    private PricingDiaDAO pricingDiaDAO;

    public List<PricingDia> obtenerTodos() {
        return pricingDiaDAO.obtenerTodos();
    }

    public PricingDia obtenerID(Integer id) {
        return pricingDiaDAO.obtenerID(id);
    }

    @Transactional
    public PricingDia suscribir(PricingDia entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Pricing.ATIVO);

        return pricingDiaDAO.suscribir(entidad);
    }

    @Transactional
    public PricingDia actualizacion(PricingDia entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Pricing.ATIVO);

        return pricingDiaDAO.actualizacion(entidad);
    }

    @Transactional
    public void borrar(PricingDia entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Pricing.EXCLUIDO);

        pricingDiaDAO.actualizacion(entidad);
    }

    public List<PricingDia> buscarTraslapa(PricingDia pricingDia) {
        return pricingDiaDAO.buscarTraslapa(pricingDia);
    }

	@Override
	@Transactional
	public void borrar(List<PricingDia> pricingDias) {
		if(pricingDias != null && !pricingDias.isEmpty()) {
			for (PricingDia pricingDia : pricingDias) {
				borrar(pricingDia);
			}
		}
	}
}
